db-derby-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Kathey Marsden <kmarsdende...@sbcglobal.net>
Subject trouble building 10.1
Date Tue, 01 May 2007 18:17:49 GMT
I created a new 10.1 client and am getting the following error:

compile_iapi_jdbc_jdbc2:
    [javac] Compiling 3 source files to C:\svn\10.1\classes
    [javac] 
C:\svn\10.1\java\engine\org\apache\derby\iapi\jdbc\BrokeredPreparedStatement.java:34: 
org.apache.derby.iapi.
jdbc.BrokeredPreparedStatement is not abstract and does not override 
abstract method getParameterMetaData() in java.sql.
PreparedStatement
    [javac] public class BrokeredPreparedStatement extends BrokeredStatement
    [javac]        ^
    [javac] 
C:\svn\10.1\java\engine\org\apache\derby\iapi\jdbc\BrokeredCallableStatement.java:33: 
org.apache.derby.iapi.
jdbc.BrokeredCallableStatement is not abstract and does not override 
abstract method getURL(java.lang.String) in java.sq
l.CallableStatement
    [javac] public class BrokeredCallableStatement extends 
BrokeredPreparedStatement
    [javac]        ^
    [javac] 
C:\svn\10.1\java\engine\org\apache\derby\iapi\jdbc\BrokeredConnection.java:48: 
org.apache.derby.iapi.jdbc.Br
okeredConnection is not abstract and does not override abstract method 
prepareStatement(java.lang.String,java.lang.Strin
g[]) in java.sql.Connection
    [javac] public class BrokeredConnection implements EngineConnection
    [javac]        ^
    [javac] 3 errors
    [javac] 2 warnings

BUILD FAILED
C:\svn\10.1\build.xml:283: The following error occurred while executing 
this line:
C:\svn\10.1\java\engine\build.xml:42: The following error occurred while 
executing this line:
C:\svn\10.1\java\engine\org\apache\derby\iapi\build.xml:58: The 
following error occurred while executing this line:
C:\svn\10.1\java\engine\org\apache\derby\iapi\jdbc\build.xml:65: Compile 
failed; see the compiler error output for detai
ls.

Total time: 5 seconds
[C:/svn/10.1]
Any thoughts on what might cause this?  I am sure I am missing something 
simple. Searching the archives I see this error for DERBY-2, but the 
link with the solution is broken, besides it seems to be Mac OS X 
specific and I am building on windows XP.

Below is my ant.properties, which works fine for my 10.2 and trunk clients.

j14lib=c:/svn/tools/ibm142/jre/lib
j13lib=c:/svn/tools/ibm131/jre/lib
java14compile.classpath=${j14lib}/core.jar;${j14lib}/server.jar;${j14lib}/xml.jar;${j14lib}/ibmjcefw.jar;${j14lib}/security.jar
jsr169compile.classpath=C:/p4/marsden_trunk/wctme5.7/ive/lib/jclFoundation10/classes.zip;C:/p4/marsden_trunk/wctme5.7/ive/lib/jdbc.jar
 

and ${derby.source}/tools/java
[C:/svn/10.1] ls tools/java
empty.jar                          javacc.jar
geronimo-spec-jta-1.0.1B-rc4.jar   jce1_2_2.jar
geronimo-spec-servlet-2.4-rc4.jar  jdbc2_0-stdext.jar
jakarta-oro-2.0.8.jar              osgi.jar



Mime
View raw message